"""Form for uploading CSV files."""
from django import forms


class CSVUploadForm(forms.Form):
    """Form for uploading CSV files."""

    file = forms.FileField(label="Select a CSV file")

    def clean_file(self) -> str:
        """Check if the file is a CSV file."""
        file = self.cleaned_data["file"]

        # Check if the file is a CSV
        if not file.name.endswith(".csv"):
            err_msg = "Only CSV files are allowed"
            raise forms.ValidationError(err_msg)
        return file
